> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve access token

> Uses the tenant's linked credentials to retrieve a new access token for a given connector. Only supported on select connectors



## OpenAPI

````yaml get /{env_id}/{flow_id}/{tenant}/connectors/{connector_id}/accesstoken
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/{flow_id}/{tenant}/connectors/{connector_id}/accesstoken:
    get:
      summary: Retrieve access token
      description: >-
        Uses the tenant's linked credentials to retrieve a new access token for
        a given connector. Only supported on select connectors
      operationId: retrieve-access-token
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
        - name: connector_id
          in: path
          description: ID of connector
          schema:
            type: string
            example: salesforce
          required: true
        - name: include_properties
          in: query
          description: >-
            Comma separated list of properties to include in addition to acces
            token.
          schema:
            type: string
            example: refresh_token,expires_in
          required: false
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    access_token: eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  access_token:
                    type: string
                    example: eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    error_message: The refresh token is expired
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error_message:
                    type: string
                    example: The refresh token is expired
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    error_message: >-
                      This connector does not support the access token endpoint.
                      Contact hotglue support for more information.
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error_message:
                    type: string
                    example: >-
                      This connector does not support the access token endpoint.
                      Contact hotglue support for more information.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````